org.richfaces.fragment.log

## Enum Log.LogEntryLevel

- java.lang.Object
- - java.lang.Enum<Log.LogEntryLevel>
  - - org.richfaces.fragment.log.Log.LogEntryLevel

- All Implemented Interfaces:
    Serializable, Comparable<Log.LogEntryLevel>
  Enclosing interface:
    Log

      public static enum Log.LogEntryLevel
      extends Enum<Log.LogEntryLevel>

  Represents the various levels of logs.
  Author:
    Jiri Stefek

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `INFO`
    `WARN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Log.LogEntryLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Log.LogEntryLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBUG

          public static final Log.LogEntryLevel DEBUG

    - #### INFO

          public static final Log.LogEntryLevel INFO

    - #### WARN

          public static final Log.LogEntryLevel WARN

    - #### ERROR

          public static final Log.LogEntryLevel ERROR

  - ### Method Detail

    - #### values

          public static Log.LogEntryLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Log.LogEntryLevel c : Log.LogEntryLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Log.LogEntryLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.